Gecode::Int::Extensional::VarTraits< BoolVar > Class Reference

Traits class for variables. More...

`#include <layered-graph.hpp>`

## Public Types

typedef Int::BoolView | View
| The variable type of an IntView.

## Detailed Description

Traits class for variables.

This class specializes the VarTraits for Boolean variables.

Definition at line 66 of file layered-graph.hpp.

## Member Typedef Documentation

## View

typedef Int::BoolView Gecode::Int::Extensional::VarTraits< BoolVar >::View

The variable type of an IntView.

Definition at line 69 of file layered-graph.hpp.

The documentation for this class was generated from the following file:

- gecode/int/extensional/layered-graph.hpp